# List of XSD types that can be defined as a type hint parameter.

xsd_types:
    anonymous: "string"
    anyType: "mixed"
    anyURI: "string"
    base64Binary: "string"
    bool: "bool"
    boolean: "bool"
    byte: "string"
    date: "string"
    dateTime: "string"
    decimal: "float"
    double: "float"
    duration: "string"
    DayOfWeekType: "string"
    float: "float"
    gMonth: "string"
    gMonthDay: "int"
    gYear: "string"
    gYearMonth: "int"
    hexBinary: "string"
    int: "int"
    integer: "int"
    ID: "string"
    IDREF: "string"
    IDREFS: "string"
    language: "string"
    long: "int"
    Name: "string"
    negativeInteger: "int"
    nonNegativeInteger: "int"
    nonPositiveInteger: "int"
    normalizedString: "string"
    NCName: "string"
    NMTOKEN: "string"
    NMTOKENS: "string"
    positiveInteger: "int"
    QName: "string"
    short: "int"
    string: "string"
    timestamp: "int"
    timeStamp: "int"
    time: "string"
    token: "string"
    unsignedByte: "string"
    unsignedInt: "int"
    unsignedLong: "int"
    unsignedShort: "int"
    UID: "string"
    UNKNOWN: "string"
